Bug 23571 - static, globally sequential, port numbers for remotees
Summary: static, globally sequential, port numbers for remotees
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Test farm client tools   
(Show other bugs)
Version: CVS
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-08 10:33 UTC by Jesper Skov
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 15:56:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesper Skov 2001-01-08 10:33:10 UTC
It would make life simpler for remotees if the port numbering scheme
was changed in two areas:

 o All machines in the farm use a global port sequence:

       pear  : ports 5000 - 5002
       bhaji : ports 5003 - 5005
       ninja : ports 5006 - 5007
       ...

   Or something similar. That way remotees can put in static tunnel
   rules for the test farm machines, which is necessary as we can no
   longer access the machines directly by non-reserved IP addresses.

 o Similar, instead of the server returning some (seemingly
   random) port number in the 30xxx range, it should also return
   static predefined ports as they did at some time in the past
   (i.e., 5xxx results in a server connection at 8xxx)

Would that be much hassle?  Or would it be pointless given that
eventually the machines will have to be public in order to support
customers connecting to them?!?

In any event, remotees now have to copy binaries to UK and run rgdb
from there. It's rather painful!

Comment 1 Alex Schuilenburg 2003-06-20 15:56:50 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=23571


Note You need to log in before you can comment on or make changes to this bug.